<html>
<head>
<meta http-equiv="Content-Language" content="ja">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Author" content="Zend Japan">
<meta http-equiv="Description" content="単純なデータ取得の例">
<title>sample03</title>
</head>
<body>
<?php
//DB接続
require_once 'inc/dbconn.inc';

//改行
$eol = "\r\n";

//テスト用PF
$test_pf = 'ZTESTF';

$query = 'SELECT ' .
//文字項目右端のスペースを除去するためにRTRIMをつけます
'RTRIM(COLA) AS COLA, ' .
//DBCSはUTF-8では1文字3バイトになるので、
//元の項目(12バイト)の長さの1.5倍に見せかけます
'RTRIM( CAST( COLO AS CHAR(18) ) ) AS COLO, ' .
'RTRIM( CAST( COLJ AS CHAR(18) ) ) AS COLJ, ' .
'COLP, ' .
'COLS  ' .
'FROM ' .
$test_pf;

$result = db2_exec($db_con, $query);
if(!$result){
	echo 'SQLが実行できませんでした<br>';
	//接続時のエラーとSQL実行エラーの状況取得関数が分かれています
	echo db2_stmt_errormsg();

	db2_close($db_con);
	echo '</body></html>';
	return ;
}

echo '<table border=1>' . $eol;
echo '<tr><th>COLA</th><th>COLO</th><th>COLJ</th><th>COLP</th><th>COLS</th></tr>' . $eol;

while(db2_fetch_row($result)) {

	$cola = db2_result($result, 'COLA');
	$colo = db2_result($result, 'COLO');
	$colj = db2_result($result, 'COLJ');
	$colp = db2_result($result, 'COLP');
	$cols = db2_result($result, 'COLS');

	echo '<tr>';
	echo '<td>'. $cola . '</td>';
	echo '<td>'. $colo . '</td>';
	echo '<td>'. $colj . '</td>';
	echo '<td>'. $colp . '</td>';
	echo '<td>'. $cols . '</td>';
	echo '</tr>' . $eol;
}

echo '</table>';

db2_close($db_con);

?>
</body>
</html>